Subject: bug#25060: gnutls: asynchronous spurious "fatal error"

From: Ted Zlatanov <[email-masked]>
Date: Thu, 01 Dec 2016 13:35:08 -0500

On Tue, 29 Nov 2016 11:10:17 +0100 Andy Wingo <[email-masked]> wrote: 

AW>     gnutls.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable, try again. [3088 times]
AW>     gnutls.c: [2] received curve SECP256R1
AW>     gnutls.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable, try again. [2816 times]
AW>     #<buffer  *http www.gnu.org:443*-346477>
AW>     gnutls.c: [1] (Emacs) non-fatal error: Resource temporarily unavailable, try again. [5 times]
AW>     success
...
AW> No idea what that non-fatal error appearing thousands of times is, I
AW> suspect Emacs is polling on a non-blocking file descriptor or
AW> something.  Anyway this error appears to not affect anything as it's
AW> asynchronous and it is not handleable by anything, and just makes people
AW> think they have problems :)  Can you make it go away?

I think that's reasonable for that one specific message. But could it be
in fact indicating a real problem at the C level? I don't want to
silence it then.

Ted